Compile-Error : /opt/lampp/lib/libldap.so

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

Compile-Error : /opt/lampp/lib/libldap.so

Postby Knappe » 04. October 2007 17:42

Will Apache unter openSuSE 10.2, 64bit kompilieren.

Leider bisher ohne Erfolg, bekomme immer Fehler
/opt/lampp/lib/libldap.so: could not read symbols: File in wrong format


Habe in
Code: Select all
/opt/lampp/..
die Version
xampp-linux-1.6.3b.tar.gz
sowie das Entwicklerpacket
xampp-linux-devel-1.6.3b.tar.gz
installiert.

Bei der o.g. Datei handelt es sich um
# dir /opt/lampp/lib/libldap.so
-rwxrwxrwx 1 root root 213996 20. Mär 2007 /opt/lampp/lib/libldap.so


Was ist da los ?
Knappe
 
Posts: 114
Joined: 18. November 2004 17:40

Postby Wiedmann » 04. October 2007 20:10

Will Apache unter openSuSE 10.2, 64bit kompilieren.
Habe in
Code: Select all
/opt/lampp/..

XAMPP ist für 32bit kompiliert, also auch alle abhängigen Libs die sich unter "opt/lampp/.." befinden.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby Knappe » 04. October 2007 20:27

XAMPP ist für 32bit kompiliert

Ok, gibt es denn für mich jetzt eine einfache Möglichkeit nur für 32bit zu compilieren ?
Knappe
 
Posts: 114
Joined: 18. November 2004 17:40


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 5 guests